Zum Hauptinhalt springen
GET
/
conversations
/
conversations
/
2026-09-beta
/
threads
/
{threadId}
/
messages
/
{messageId}
Retrieve message
curl --request GET \
  --url https://api.hubapi.com/conversations/conversations/2026-09-beta/threads/{threadId}/messages/{messageId} \
  --header 'Authorization: Bearer <token>'
{
  "type": "MESSAGE",
  "id": "<string>",
  "conversationsThreadId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "client": {
    "clientType": "HUBSPOT",
    "integrationAppId": 123
  },
  "senders": [
    {
      "actorId": "<string>",
      "deliveryIdentifier": {
        "type": "CHANNEL_SPECIFIC_OPAQUE_ID",
        "value": "<string>"
      },
      "name": "<string>",
      "senderField": "<string>"
    }
  ],
  "recipients": [
    {
      "deliveryIdentifier": {
        "type": "CHANNEL_SPECIFIC_OPAQUE_ID",
        "value": "<string>"
      },
      "actorId": "<string>",
      "name": "<string>",
      "recipientField": "<string>"
    }
  ],
  "archived": true,
  "text": "<string>",
  "attachments": [
    {
      "fileId": "<string>",
      "fileUsageType": "AUDIO",
      "type": "FILE",
      "name": "<string>",
      "url": "<string>"
    }
  ],
  "truncationStatus": "NOT_TRUNCATED",
  "direction": "INCOMING",
  "channelId": "<string>",
  "channelAccountId": "<string>",
  "updatedAt": "2023-11-07T05:31:56Z",
  "richText": "<string>",
  "subject": "<string>",
  "inReplyToId": "<string>",
  "status": {
    "statusType": "FAILED",
    "failureDetails": {
      "errorMessageTokens": {},
      "errorMessage": "<string>"
    }
  }
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

messageId
string
erforderlich

The unique identifier of the message to retrieve.

threadId
integer<int64>
erforderlich

The unique identifier of the conversation thread containing the message.

Abfrageparameter

property
string

A specific property of the message to include in the response.

Antwort

successful operation

type
enum<string>
Standard:MESSAGE
erforderlich
Verfügbare Optionen:
MESSAGE
id
string
erforderlich
conversationsThreadId
string
erforderlich
createdAt
string<date-time>
erforderlich
createdBy
string
erforderlich
client
object
erforderlich
senders
object[]
erforderlich
recipients
object[]
erforderlich
archived
boolean
erforderlich
text
string
erforderlich
attachments
(FILE · object | LOCATION · object | CONTACT · object | UNSUPPORTED_CONTENT · object | MESSAGE_HEADER · object | QUICK_REPLIES · object | WHATSAPP_TEMPLATE_METADATA · object | SOCIAL_MEDIA_METADATA · object)[]
erforderlich
truncationStatus
enum<string>
erforderlich
Verfügbare Optionen:
NOT_TRUNCATED,
TRUNCATED_TO_MOST_RECENT_REPLY,
TRUNCATED
direction
enum<string>
erforderlich
Verfügbare Optionen:
INCOMING,
OUTGOING
channelId
string
erforderlich
channelAccountId
string
erforderlich
updatedAt
string<date-time>
richText
string
subject
string
inReplyToId
string
status
object
Last modified on April 9, 2026